
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was mirpConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(_valid_components
    shared
    static
)


# Find the dependencies
include(${CMAKE_CURRENT_LIST_DIR}/mirpDependencies.cmake)


# set the libraries to use
set(mirp_LIBRARY_BASE "${PACKAGE_PREFIX_DIR}/lib")
if()
    set(mirp_LIBRARY_NAME ${CMAKE_SHARED_LIBRARY_PREFIX}mirp${CMAKE_SHARED_LIBRARY_SUFFIX})
    set(mirp_shared_FOUND 1)
else()
    set(mirp_LIBRARY_NAME ${CMAKE_STATIC_LIBRARY_PREFIX}mirp${CMAKE_STATIC_LIBRARY_SUFFIX})
    set(mirp_static_FOUND 1)
endif()


# Check for invalid components
foreach(_comp IN LISTS mirp_FIND_COMPONENTS)
    list(FIND _valid_components ${_comp} _is_valid_comp)
    if(${_is_valid_comp} LESS 0)
        message(STATUS "mirpConfig: requested invalid component: ${_comp}")
    endif()
endforeach()


check_required_components(mirp)

#-----------------------------------------------------------------------------
# Don't include targets if this file is being picked up by another
# project which has already built this as a subproject
#-----------------------------------------------------------------------------
if(NOT TARGET mirp::mirp)
    include("${CMAKE_CURRENT_LIST_DIR}/mirpTargets.cmake")
endif()


